ChangeSet 1.1267.20.11, 2004/01/20 16:13:49-08:00, felipe_alfaro@linuxmail.org

[PATCH] USB Storage: unusual_devs.h patch for Trumpion MP3 player

This patch is needed for the USB storage subsystem to recognize the
Trumpion MP3 player as a valid USB mass storage.

T:  Bus=01 Lev=01 Prnt=01 Port=00 Cnt=01 Dev#=  3 Spd=12  MxCh= 0
D:  Ver= 1.00 Cls=00(>ifc ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1
P:  Vendor=090a ProdID=1200 Rev= 1.00
C:* #Ifs= 1 Cfg#= 1 Atr=a0 MxPwr=256mA
I:  If#= 0 Alt= 0 #EPs= 3 Cls=08(stor.) Sub=01 Prot=01 Driver=usb-storage
E:  Ad=81(I) Atr=02(Bulk) MxPS=  64 Ivl=0ms
E:  Ad=02(O) Atr=02(Bulk) MxPS=  64 Ivl=0ms
E:  Ad=83(I) Atr=03(Int.) MxPS=   8 Ivl=255ms


 drivers/usb/storage/unusual_devs.h |    8 ++++++++
 1 files changed, 8 insertions(+)


diff -Nru a/drivers/usb/storage/unusual_devs.h b/drivers/usb/storage/unusual_devs.h
--- a/drivers/usb/storage/unusual_devs.h	Wed Jan 28 13:36:45 2004
+++ b/drivers/usb/storage/unusual_devs.h	Wed Jan 28 13:36:45 2004
@@ -632,6 +632,14 @@
 		"3MegaCam",
 		US_SC_DEVICE, US_PR_BULK, NULL,
 		US_FL_MODE_XLATE ),
+
+/* Trumpion Microelectronics MP3 player (felipe_alfaro@linuxmail.org) */
+UNUSUAL_DEV( 0x090a, 0x1200, 0x0000, 0x9999,
+		"Trumpion",
+		"MP3 player",
+		US_SC_RBC, US_PR_BULK, NULL,
+		US_FL_MODE_XLATE),
+
 /* aeb */
 UNUSUAL_DEV( 0x090c, 0x1132, 0x0000, 0xffff,
 		"Feiya",
